# Get the latest version of this configuration.

> Templates API · Templating

```http
GET https://app.mk.io/api/v1/projects/{project_name}/templating/configs/{config_type}/{name}
```

RBAC Capability Required: `templating.configs.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `project_name` | string | Yes | — |
| `config_type` | string | Yes | — |
| `name` | string | Yes | — |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/templating/configs/{config_type}/{name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Configuration

- `kind` · string · Optional — The kind of record.
- `metadata` · object · **Required** — Metadata.
  - `created` · string · Optional · _format: date-time_ — The time when the resource was created
  - `createdBy` · string · Optional · _format: uuid_ — ID of the user who created the resource
  - `createdByEmail` · string · Optional — Email of the user who created the resource
  - `description` · string · Optional · _0-200 characters_ · _Defaults to _ — Optional description of revision of the configuration.
  - `hash` · string · Optional — Hash of this configuration.
  - `id` · string · **Required** · _format: uuid_ — The ID of the resource
  - `labels` · map from strings to string · Optional — A dictionary of labels associated with the resource
    - `[any key]` · string — map of additional properties
  - `name` · string · Optional — The name of the resource
  - `tags` · list of strings · Optional — Tags for this revision of the config.
    - Array items (string):
  - `type` · string · **Required** — Type of configuration.
  - `updated` · string · Optional · _format: date-time_ — The time when the resource was last updated
  - `updatedBy` · string · Optional · _format: uuid_ — ID of the user who last updated the resource
  - `updatedByEmail` · string · Optional — Email of the user who last updated the resource
- `spec` · object · Optional — Specification.
  - `config` · map from strings to any · Optional — The contents of the config.
    - `[any key]` · any — map of additional properties
  - `parameters` · list of objects · Optional — Parameters exposed by this configuration.
    - Array items (object):
      - `description` · string or null · Optional — Optional description of the parameter.
      - `name` · string · **Required** — The name of the parameter.
      - `paths` · list of strings · **Required** · _1+ items_ — List of paths in the config where this parameter applies. Each path must be unique.
        - Array items (string):
- `status` · object · Optional — Computed status including available input/output pin names.
  - `inputPins` · list of objects · Optional — Available input pin names for this template.
    - Array items (object):
      - `allowMultipleBindings` · boolean · Optional — Whether multiple flow inputs/outputs can reference this pin.
      - `name` · string · **Required** — The pin name to use for transformInput or transformOutput.
  - `outputPins` · list of objects · Optional — Available output pin names for this template.
    - Array items (object):
      - `allowMultipleBindings` · boolean · Optional — Whether multiple flow inputs/outputs can reference this pin.
      - `name` · string · **Required** — The pin name to use for transformInput or transformOutput.

Example:

```json
{
  "kind": "string",
  "metadata": {
    "created": "2024-01-01T00:00:00Z",
    "createdBy": "00000000-0000-0000-0000-000000000000",
    "createdByEmail": "string",
    "description": "",
    "hash": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "labels": {
      "label1": "value1",
      "label2": "value2"
    },
    "name": "string",
    "tags": [
      "string"
    ],
    "type": "string",
    "updated": "2024-01-01T00:00:00Z",
    "updatedBy": "00000000-0000-0000-0000-000000000000",
    "updatedByEmail": "string"
  },
  "spec": {
    "config": {
      "key": null
    },
    "parameters": [
      {
        "description": "string",
        "name": "source_id_0",
        "paths": "[\"/input/sources/0/id\"]"
      }
    ]
  },
  "status": {
    "inputPins": [
      {
        "allowMultipleBindings": true,
        "name": "string"
      }
    ],
    "outputPins": [
      {
        "allowMultipleBindings": true,
        "name": "string"
      }
    ]
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `templates-api` · operationId: `[get]_/api/v1/projects/{project_name}/templating/configs/{config_type}/{name}`
